import { LanesModel } from '@teambit/lanes.ui.models.lanes-model';
import React from 'react';
import { MenuLinkItem } from '@teambit/design.ui.surfaces.menu.link-item';
import { Icon } from '@teambit/evangelist.elements.icon';
import styles from './lane-info.module.scss';
export function LaneInfo({ id, currentLane }) {
    const isCurrent = currentLane && id.isEqual(currentLane.id);
    return (React.createElement("div", { key: id.toString() },
        React.createElement(MenuLinkItem, { active: isCurrent, href: LanesModel.getLaneUrl(id), className: styles.versionRow },
            React.createElement("span", null,
                React.createElement(Icon, { className: styles.laneIcon, of: "lane" }),
                id.toString()))));
}
//# sourceMappingURL=lane-info.js.map