import React, { ReactNode } from 'react';
import { LegacyComponentLog } from '@teambit/legacy-component-log';
import { LaneModel } from '@teambit/lanes.ui.models.lanes-model';
export declare const LOCAL_VERSION = "workspace";
export declare type DropdownComponentVersion = Partial<LegacyComponentLog> & {
    version: string;
};
export declare type VersionDropdownProps = {
    tags: DropdownComponentVersion[];
    snaps?: DropdownComponentVersion[];
    lanes?: LaneModel[];
    localVersion?: boolean;
    currentVersion: string;
    currentLane?: LaneModel;
    latestVersion?: string;
    loading?: boolean;
    overrideVersionHref?: (version: string) => string;
    placeholderClassName?: string;
    dropdownClassName?: string;
    menuClassName?: string;
    showVersionDetails?: boolean;
    disabled?: boolean;
    placeholderComponent?: ReactNode;
} & React.HTMLAttributes<HTMLDivElement>;
export declare function VersionDropdown({ snaps, tags, lanes, currentVersion, latestVersion, localVersion, loading, currentLane, overrideVersionHref, className, placeholderClassName, dropdownClassName, menuClassName, showVersionDetails, disabled, placeholderComponent, ...rest }: VersionDropdownProps): JSX.Element;
